=== debian/changelog ===
python-debian (0.1.36ubuntu1) focal; urgency=medium

  * lib/debian/doc-debtags: Change shebang to python3.
  * debian/rules: Fix a couple of missed references to "python".
  * debian/tests/python3-debian: fix lintian failure
    "runtime-test-file-uses-installed-python-versions".

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Wed, 08 Apr 2020 17:17:21 +1200
