=== debian/tests/control ===
Tests: python3-debian
Restrictions: allow-stderr
Depends:
 binutils (>= 2.23),
 python3-all,
 python3-apt,
 python3-debian,
 debian-keyring,
 debian-archive-keyring

Tests: python-debian
Restrictions: allow-stderr
Depends:
 binutils (>= 2.23),
 python2.7,
 python-apt,
 python-debian,
 python-unittest2,
 debian-keyring,
 debian-archive-keyring
