## python-debian 0.1.36ubuntu1.1

=== debian/changelog ===
python-debian (0.1.36ubuntu1.1) focal; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Apr 2023 20:39:33 +0200
