=== debian/control ===
Source: python-debian
Section: python
Priority: optional
Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
Uploaders:
 Adeodato Simó <dato@net.com.org.es>,
 Enrico Zini <enrico@debian.org>,
 James Westby <jw+debian@jameswestby.net>,
 Reinhard Tartler <siretart@tauware.de>,
 Stefano Zacchiroli <zack@debian.org>,
 John Wright <jsw@debian.org>,
 Stuart Prescott <stuart@debian.org>
Build-Depends:
 binutils (>= 2.23),
 debhelper-compat (= 12),
 dh-python,
 python3-all (>= 3.1.2-8~),
 python3-apt (>> 1.1~),
 python3-chardet,
 python3-setuptools,
 python3-six (>> 1.4~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
Homepage: https://salsa.debian.org/python-debian-team/python-debian
Rules-Requires-Root: no

Package: python3-debian
Architecture: all
Depends:
 python3-chardet,
 python3-six (>> 1.4~),
 ${misc:Depends},
 ${python3:Depends}
Recommends:
 python3-apt
Suggests:
 gpgv
Description: Python 3 modules to work with Debian-related data formats
 This package provides Python 3 modules that abstract many formats of Debian
 related files. Currently handled are:
  * Debtags information (debian.debtags module)
  * debian/changelog (debian.changelog module)
  * Packages files, pdiffs (debian.debian_support module)
  * Control files of single or multiple RFC822-style paragraphs, e.g.
    debian/control, .changes, .dsc, Packages, Sources, Release, etc.
    (debian.deb822 module)
  * Raw .deb and .ar files, with (read-only) access to contained
    files and meta-information
