=== debian/rules ===
--- 
+++ 
@@ -10,10 +10,10 @@
 export PYBUILD_NAME=debian
 
 %:
-	dh $@ --with python2,python3 --buildsystem pybuild
+	dh $@ --with python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build
@@ -24,10 +24,14 @@
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
 	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
 	# aware locale to catch errors related to encoding.
-	LC_ALL=C python2 -m unittest discover --verbose lib/
-	LC_ALL=C.UTF-8 python2 -m unittest discover --verbose lib/
-	LC_ALL=C python3 -m unittest discover --verbose lib/
-	LC_ALL=C.UTF-8 python3 -m unittest discover --verbose lib/
+	for py in `py3versions -s`; do \
+	  set -e; \
+	  echo "----------------------------------------------"; \
+	  echo "Testing with $$py"; \
+	  echo "----------------------------------------------"; \
+	  LC_ALL=C $$py -m unittest discover --verbose lib/; \
+	  LC_ALL=C.UTF-8 $$py -m unittest discover --verbose lib/; \
+	done
 endif
 
 override_dh_auto_install:
@@ -39,7 +43,6 @@
 dist: lib/debian/_version.py
 	rm -f dist/python?debian-$(DEB_VERSION)*
 	python3 setup.py sdist bdist_wheel bdist_egg
-	python2 setup.py bdist_wheel bdist_egg
 	echo "You can now: twine upload --sign dist/python?debian-$(DEB_VERSION)*"
 
 apidoc:
@@ -52,8 +55,8 @@
 	PYTHONPATH=$(CURDIR)/lib \
 	  make -C docs/ SPHINXOPTS="-a -v -n" html
 
-qa:
-	pylint3 --rcfile .pylintrc lib
+qa: lib/debian/_version.py
+	pylint --rcfile .pylintrc lib
 	mypy lib
 
 .PHONY: dist doc apidoc qa
