## python-debian 0.1.39

=== debian/changelog ===
python-debian (0.1.39) unstable; urgency=medium

  [ Stuart Prescott ]
  * Move re.compile calls out of functions (Closes: #971960).
  * Revert unintended renaming of Changelog.get_version/set_version
    (Closes: #975910).
  * Add a type for .buildinfo files (deb822.BuildInfo) (Closes: #875306).
  * Add support for SHA1-Download and SHA256-* variants in PdiffIndex class
    for .diff/Index files (Closes: #970824).
  * Permit single-character package names in dependency relationship
    specifications (Closes: #977355).
  * Silence deprecation warnings in the test suite.
  * Test that UserWarning is emitted in tests where it should be.
  * Update Standards-Version to 4.5.1 (no changes required).
  * Update to debhelper-compat (= 13).
  * Update examples to use #!/usr/bin/python3.
  * Fix tabs vs spaces in examples.

  [ Jose Luis Rivero ]
  * Allow debian_support.PackageFile to accept StringIO as well as BytesIO.

  [ Ansgar ]
  * Change handling of case-insensitive field names to allow Deb822 objects
    to be serialised  (Closes: #975915).

  [ Jelmer Vernooĳ ]
  * Add myself to uploaders.

  [ Johannes 'josch' Schauer ]
  * Add SHA265 support to handling of pdiffs.
  * Add support for additional headers for merged pdiffs to PDiffIndex.
  * Allow debian_support.patches_from_ed_script to consume both bytes and str.

 -- Stuart Prescott <stuart@debian.org>  Sat, 19 Dec 2020 11:59:40 +1100

python-debian (0.1.38) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add a debian.watch module for parsing watch files.
  * Prevent stripping of last newline in initial lines before changelog files.
  * Add a Copyright.files_excluded field.
  * Allow specifying allow_missing_author when reserializing changelog
    entries.

  [ Stuart Prescott ]
  * Fix CI error from typeshed.
  * Add lots more type annotations to the code.
  * Enable mypy and pylint in the CI pipeline for merge requests.

  [ Dato Simó ]
  * Remove myself from Uploaders.

 -- Stuart Prescott <stuart@debian.org>  Sun, 04 Oct 2020 15:09:46 +1100
