=== debian/rules ===
--- 
+++ 
@@ -57,6 +57,6 @@
 
 qa: lib/debian/_version.py
 	pylint --rcfile .pylintrc lib
-	mypy lib
+	mypy --strict lib
 
 .PHONY: dist doc apidoc qa
