=== debian/tests/control ===
Tests: python3-debian
Restrictions: allow-stderr
Depends:
 binutils (>= 2.23),
 python3-all,
 python3-apt,
 python3-debian,
 debian-keyring,
 debian-archive-keyring
