## python-debian 0.1.39ubuntu1

=== debian/changelog ===
python-debian (0.1.39ubuntu1) impish; urgency=medium

  * Add support for zstd compression format (LP: #1923845)

 -- Athos Ribeiro <athos.ribeiro@canonical.com>  Thu, 19 Aug 2021 14:50:49 -0300
