=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -18,7 +19,8 @@
  python3-apt (>> 1.1~),
  python3-chardet,
  python3-setuptools,
- python3-six (>> 1.4~)
+ python3-six (>> 1.4~),
+ zstd
 Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
@@ -30,6 +32,7 @@
 Depends:
  python3-chardet,
  python3-six (>> 1.4~),
+ zstd,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
