## python-debian 0.1.43ubuntu1

=== debian/changelog ===
python-debian (0.1.43ubuntu1) jammy; urgency=low

  * Merge from Debian unstable (LP: #1960404). Remaining changes:
    * Add support for zstd compression format (LP: #1923845)
      -> the patch has been rewritten to account for upstream work on this
      particular area and their move to dynamically generated test packages

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 09 Feb 2022 12:27:26 +0100

python-debian (0.1.43) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Support the Files-Included field in debian/copyright.

  [ Stuart Prescott ]
  * Always run both mypy and pylint on CI.
  * Fix URL for API documentation in README.rst (Closes: #995442).
  * RTS parser: minor documentation fixes.
  * Declare minimum Python version of 3.5 for most modules except the
    RTS parser. Add CI testing with Python 3.5 (Closes: #997857).

  [ Niels Thykier ]
  * RTS parser: Handle leading tabs for setting values (Closes: #996785).
  * RTS parser: Preserve original field case (Closes: #996784).
  * RTS parser: Expose str type for keys in paragraphs (Closes: #996783).

 -- Stuart Prescott <stuart@debian.org>  Sun, 16 Jan 2022 13:03:02 +1100

python-debian (0.1.42) unstable; urgency=medium

  "The Hitchhiker's Guide to the Galaxy" release.

  [ Jelmer Vernooĳ ]
  * Use logging for warnings about data that's being read, rather than
    the warnings module.

  [ Stuart Prescott ]
  * Fix type checks for mypy 0.910
  * Refactor CI code to be less repetitive.
  * Fix autopkgtest invocation of py.test.
  * Silence lintian complaint about touching the dpkg database in the
    examples.
  * Update Standards-Version to 4.6.0 (no changes required).
  * Add RTS parser to setup.py so that it is installed.
  * Add copyright attribution for RTS parser.

  [ Niels Thykier ]
  * RTS parser: Accept tabs as continuation line marker. Closes: #994854
  * Interpretation: Preserve tab as continuation line if used
  * CI: Always build docs; only publish it for master
  * RTS parser: Make value interpretation tokenization consistent
  * RTS parser: Add interpretation for Uploaders field

 -- Stuart Prescott <stuart@debian.org>  Mon, 18 Oct 2021 17:12:47 +1100

python-debian (0.1.41) experimental; urgency=medium

  [ Stuart Prescott ]
  * Drop some old python version checks (Closes: #986550)
  * Skip tests that use apt_pkg if unavailable
  * Run tests in absense of recommended packages
  * Drop use of six.
  * Drop old version constraints in autopkgtest tests
  * Generate .deb packages for tests on-demand
  * Add contextmanager to DebFile
  * Fix sphinx _static config

  [ Niels Thykier ]
  * Added format/comment preserving deb822 parser as debian._deb822_repro.
  * CI: Add coverage reports
  * Use py.test for running tests

  [ Jelmer Vernooĳ ]
  * Add Build-Depends-Arch, Build-Conflicts-Arch to list of relationship
    fields. Closes: #985492

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 18 Sep 2021 22:36:23 +0100

python-debian (0.1.40) experimental; urgency=medium

  [ Jelmer Vernooĳ ]
  * In debian.changelog.get_maintainer, cope with unknown UIDs. Closes:
    #980385

  [ Niels Thykier ]
  * Add some doctest SKIP markers to the code (MR!45).
  * Fix examples in code (MR!41, MR!43).

  [ Frédéric Pierret ]
  * Numerous enhancements to the deb822.BuildInfo class (MR!40).

  [ Stuart Prescott ]
  * Update annotations for mypy 0.8.00.
  * Include portability patch for pwd module on Windows from MR!38, with
    thanks to Ryan Pavlik for the report and Carmen Bianca Bakker for the
    implementation.
  * Drop the deb822.BuildInfo.get_debian_suite function.
  * Stop testing with Python 2.7.

  [ Debian Janitor ]
  * Remove constraints unnecessary since stretch:
    + Build-Depends: Drop versioned constraint on binutils.

 -- Stuart Prescott <stuart@debian.org>  Mon, 28 Jun 2021 18:09:46 +1000
