=== debian/control ===
--- 
+++ 
@@ -12,16 +12,16 @@
  Stuart Prescott <stuart@debian.org>,
  Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
- binutils (>= 2.23),
+ binutils,
  debhelper-compat (= 13),
  dh-python,
  python3-all (>= 3.1.2-8~),
  python3-apt (>> 1.1~),
  python3-chardet,
+ python3-pytest <!nocheck>,
  python3-setuptools,
- python3-six (>> 1.4~),
  zstd
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian
@@ -31,7 +31,6 @@
 Architecture: all
 Depends:
  python3-chardet,
- python3-six (>> 1.4~),
  zstd,
  ${misc:Depends},
  ${python3:Depends}
