=== debian/rules ===
--- 
+++ 
@@ -19,19 +19,9 @@
 	dh_auto_build
 	lib/debian/doc-debtags > README.debtags
 
-override_dh_auto_test:
-	# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
+# don't run the tests if suppressed with DEB_BUILD_OPTIONS=nocheck
 ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
-	# aware locale to catch errors related to encoding.
-	for py in `py3versions -s`; do \
-	  set -e; \
-	  echo "----------------------------------------------"; \
-	  echo "Testing with $$py"; \
-	  echo "----------------------------------------------"; \
-	  LC_ALL=C $$py -m unittest discover --verbose lib/; \
-	  LC_ALL=C.UTF-8 $$py -m unittest discover --verbose lib/; \
-	done
+override_dh_auto_test: test
 endif
 
 override_dh_auto_install:
@@ -55,8 +45,26 @@
 	PYTHONPATH=$(CURDIR)/lib \
 	  make -C docs/ SPHINXOPTS="-a -v -n" html
 
+test:
+	# run all the tests with both a UTF-8 aware locale and a non-UTF-8
+	# aware locale to catch errors related to encoding.
+	for py in `py3versions -s`; do \
+	  set -e; \
+	  echo "----------------------------------------------"; \
+	  echo "Testing with $$py"; \
+	  echo "----------------------------------------------"; \
+	  LC_ALL=C $$py -m pytest --doctest-modules --verbose lib/; \
+	  LC_ALL=C.UTF-8 $$py -m pytest --doctest-modules --verbose lib/; \
+	done
+
 qa: lib/debian/_version.py
-	pylint --rcfile .pylintrc lib
-	mypy --strict lib
+	@echo "Running both pylint and mypy"
+	@echo "----------- pylint -----------"
+	@pylint --rcfile .pylintrc lib; \
+	  pylinterr=$$?; \
+	  echo "----------- mypy -----------"; \
+	  mypy --strict lib; \
+	  mypyerr=$$? ; \
+	  [ $$pylinterr -eq 0 -a $$mypyerr -eq 0 ]
 
 .PHONY: dist doc apidoc qa
