## python-debian 0.1.43ubuntu1.1

=== debian/changelog ===
python-debian (0.1.43ubuntu1.1) jammy; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Tue, 25 Apr 2023 18:25:44 +0200
