## python-debian 0.1.46

=== debian/changelog ===
python-debian (0.1.46) unstable; urgency=medium

  * Copyright.add_files_paragraph(): Append after the last existing
    files paragraph.
  * RTS parser: Fix removing and then re-adding a paragraph.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Fri, 08 Jul 2022 17:45:29 +0100

python-debian (0.1.45) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Add Deb822FileElement.remove method.
  * RTS parser: don't add trailing whitespace when setting field values
    that start with a newline. Closes: #1013485
  * RTS parser: Add Deb822FileElement.remove().

  [ Niels Thykier ]
  * RTS parser: minor performance improvements (~5%).
  * RTS parser: Stop preserving lack of newlines at EOF. Closes: #998715
  * Add substvars module for handling substvars.
  * copyright: Use RTS parser.
  * Provide `DpkgArchTable` class as a subset of `Dpkg::Arch`. Closes: #771058

 -- Jelmer Vernooĳ <jelmer@debian.org>  Tue, 05 Jul 2022 16:35:04 +0100

python-debian (0.1.44) unstable; urgency=medium

  [ Simon Chopin ]
  * Add support for zstd compression in .deb files (LP: #1923845) with thanks
    also to Athos Ribeiro and Quirin Pamp for contributions to this feature.

  [ Jelmer Vernooĳ ]
  * Use logging.warning rather than warnings for data problems.

  [ Stuart Prescott ]
  * Support for finding files (including changelog.Debian.gz) that are beyond
    a symlink within the package (Closes: #875305).
  * Update packaging for zstd compressed .deb code.
  * Annotate binutils build-dep with <!nocheck>.
  * Update Standards-Version to 4.6.1 (no changes required).

  [ Niels Thykier ]
  * Various improvements to the round-trip-safe deb822 parser.

 -- Stuart Prescott <stuart@debian.org>  Sun, 29 May 2022 12:06:57 +1000
