## python-debian 0.1.46ubuntu1

=== debian/changelog ===
python-debian (0.1.46ubuntu1) kinetic; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Sat, 27 May 2023 01:51:02 +0200
