## python-debian 0.1.49

=== debian/changelog ===
python-debian (0.1.49) unstable; urgency=medium

  [ Debian Janitor ]
  * Update lintian override info to new format on line 1.

  [ Niels Thykier ]
  * Fix whitespace handling of Copyright files (Closes: #960278)

  [ Stuart Prescott ]
  * Make python-debian (more) portable (Closes: #1011937)
    - Tweak tests to be portable to other platforms
    - Adapt tests so that skipping optional tests can be prevented if needed
    - Add other platforms to CI to test portability
  * Switch tests to use more pytest features.
  * Updates for newer mypy and pylint.
  * Add Debian 14 'forky' to the list of known releases.

 -- Stuart Prescott <stuart@debian.org>  Sun, 20 Nov 2022 11:30:33 +1100

python-debian (0.1.48) unstable; urgency=medium

  [ Anders Kaseorg ]
  * Fix version bound for subscripting abc.Iterator, abc.MutableMapping.
    Closes: #1018822

  [ Jelmer Vernooĳ ]
  * Don't raise AmbiguousDeb822FieldKeyError in __contains__.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Mon, 03 Oct 2022 05:19:42 +0100

python-debian (0.1.47) unstable; urgency=medium

  * copyright: Allow duplicate fields when strict=False.
  * copyright: Fix regression, raise NotMachineReadableError for files
    that clearly don't use DEP5. Closes: #1017836

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 27 Aug 2022 14:23:48 +0100
