=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -12,16 +11,16 @@
  Stuart Prescott <stuart@debian.org>,
  Jelmer Vernooĳ <jelmer@debian.org>
 Build-Depends:
- binutils,
+ binutils <!nocheck>,
  debhelper-compat (= 13),
  dh-python,
- python3-all (>= 3.1.2-8~),
- python3-apt (>> 1.1~),
+ python3-all,
+ python3-apt,
  python3-chardet,
  python3-pytest <!nocheck>,
  python3-setuptools,
- zstd
-Standards-Version: 4.6.0
+ zstd <!nocheck>,
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian
@@ -31,11 +30,11 @@
 Architecture: all
 Depends:
  python3-chardet,
- zstd,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
- python3-apt
+ python3-apt,
+ zstd,
 Suggests:
  gpgv
 Description: Python 3 modules to work with Debian-related data formats
