=== debian/rules ===
--- 
+++ 
@@ -9,11 +9,19 @@
 # tell pybuild which module to install into the packages
 export PYBUILD_NAME=debian
 
+# for packaging, insist that all optional dependencies are installed
+# when running the test suite
+export FORBID_MISSING_APT_PKG ?= 1
+export FORBID_MISSING_GPGV ?= 1
+export FORBID_MISSING_AR ?= 1
+export FORBID_MISSING_DPKG_DEB ?= 1
+export FORBID_MISSING_ZSTD ?= 1
+
 %:
 	dh $@ --with python3 --buildsystem pybuild
 
 %.py: %.py.in debian/changelog
-	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
+	sed -e 's/__CHANGELOG_VERSION__/$(DEB_VERSION)/' < $< > $@
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build
@@ -60,7 +68,7 @@
 qa: lib/debian/_version.py
 	@echo "Running both pylint and mypy"
 	@echo "----------- pylint -----------"
-	@pylint --rcfile .pylintrc lib; \
+	@pylint --rcfile .pylintrc $$(find lib/debian -name \*py | grep -v test | sort); \
 	  pylinterr=$$?; \
 	  echo "----------- mypy -----------"; \
 	  mypy --strict lib; \
