## python-debian 0.1.49ubuntu2

=== debian/changelog ===
python-debian (0.1.49ubuntu2) lunar; urgency=medium

  * Make Python version PEP440 compliant (LP: #1991606)

 -- Benjamin Drung <bdrung@ubuntu.com>  Wed, 01 Feb 2023 10:32:24 +0100

python-debian (0.1.49ubuntu1) lunar; urgency=medium

  * Add zstd dependency to fix dh-cmake buils (test failures)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 26 Jan 2023 19:46:06 +0100
