=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -30,11 +31,11 @@
 Architecture: all
 Depends:
  python3-chardet,
+ zstd,
  ${misc:Depends},
  ${python3:Depends}
 Recommends:
  python3-apt,
- zstd,
 Suggests:
  gpgv
 Description: Python 3 modules to work with Debian-related data formats
