## python-debian 0.1.49ubuntu3

=== debian/changelog ===
python-debian (0.1.49ubuntu3) oracular; urgency=medium

  * Fix FTBFS by ensuring that the PEP440 compliant package version is
    available when running dh_auto_clean & dh_auto_configure (LP: #2083165).

 -- Olivier Gayot <olivier.gayot@canonical.com>  Sun, 29 Sep 2024 20:52:17 +0200
