=== debian/rules ===
--- 
+++ 
@@ -22,6 +22,12 @@
 
 %.py: %.py.in debian/changelog
 	sed -e 's/__CHANGELOG_VERSION__/$(shell debian/make_pep440_compliant "$(DEB_VERSION)")/' < $< > $@
+
+override_dh_auto_clean: lib/debian/_version.py
+	dh_auto_clean
+
+override_dh_auto_configure: lib/debian/_version.py
+	dh_auto_configure
 
 override_dh_auto_build: lib/debian/_version.py
 	dh_auto_build
