=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: python-debian
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
+Maintainer: Debian python-debian Maintainers <pkg-python-debian-maint@lists.alioth.debian.org>
 Uploaders:
  Enrico Zini <enrico@debian.org>,
  James Westby <jw+debian@jameswestby.net>,
@@ -15,13 +14,18 @@
  binutils <!nocheck>,
  debhelper-compat (= 13),
  dh-python,
+ gpgv <!nocheck>,
+ pybuild-plugin-pyproject,
  python3-all,
  python3-apt,
- python3-chardet,
+ python3-charset-normalizer,
  python3-pytest <!nocheck>,
  python3-setuptools,
+ python3-setuptools-scm,
  zstd <!nocheck>,
-Standards-Version: 4.6.1
+Build-Conflicts:
+  gpgv-from-sq,
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/python-debian-team/python-debian
 Vcs-Git: https://salsa.debian.org/python-debian-team/python-debian.git
 Homepage: https://salsa.debian.org/python-debian-team/python-debian
@@ -30,14 +34,13 @@
 Package: python3-debian
 Architecture: all
 Depends:
- python3-chardet,
- zstd,
  ${misc:Depends},
  ${python3:Depends}
-Recommends:
+Suggests:
+ gpgv,
  python3-apt,
-Suggests:
- gpgv
+ python3-charset-normalizer,
+ zstd,
 Description: Python 3 modules to work with Debian-related data formats
  This package provides Python 3 modules that abstract many formats of Debian
  related files. Currently handled are:
