=== debian/tests/control ===
--- 
+++ 
@@ -2,8 +2,10 @@
 Restrictions: allow-stderr
 Depends:
  binutils,
+ gpgv,
  python3-all,
  python3-apt,
+ python3-charset-normalizer,
  python3-debian,
  python3-pytest,
  debian-keyring,
@@ -14,7 +16,9 @@
 Restrictions: allow-stderr
 Depends:
  binutils,
+ gpgv,
  python3-all,
+ python3-charset-normalizer,
  python3-debian,
  python3-pytest,
  debian-keyring,
