## python-debian 1.0.1ubuntu1

=== debian/changelog ===
python-debian (1.0.1ubuntu1) plucky; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Drop python3-charset-normalizer from Depends/Recommends,
      to avoid component-mismatch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Mar 2025 08:25:59 +0100

python-debian (1.0.0ubuntu2) plucky; urgency=medium

  * d/control: Drop python3-charset-normalizer from Depends/Recommends,
    to avoid component-mismatch, see Salsa MR!140 (LP: #1977475)

 -- Lukas Märdian <slyon@ubuntu.com>  Tue, 11 Mar 2025 09:31:20 +0100

python-debian (1.0.0ubuntu1) plucky; urgency=medium

  * Fix component mismatch.

 -- Simon Quigley <tsimonq2@ubuntu.com>  Mon, 10 Mar 2025 07:30:30 -0500
