=== debian/control ===
--- 
+++ 
@@ -35,7 +35,7 @@
 Architecture: all
 Depends:
  ${misc:Depends},
- ${python3:Depends}
+ python3:any
 Suggests:
  gpgv,
  python3-apt,
