## python-debian 1.0.1ubuntu2

=== debian/changelog ===
python-debian (1.0.1ubuntu2) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@debian.org>  Sat, 06 Dec 2025 11:52:25 +0100
